Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/routing.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/routing.f90	(revision 7576)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/routing.f90	(revision 7709)
@@ -7340,5 +7659,5 @@
     basin_count(ib) = basin_count(ib) - 1
     !
-  END SUBROUTINE routing_killbas 
+  END SUBROUTINE routing_killbas
   !
 !! ================================================================================================================================
@@ -7741,5 +8060,5 @@
   !
 !! ================================================================================================================================
-!! SUBROUTINE 	: routing_irrigmap
+!! SUBROUTINE 	: routing_floodmap
 !!
 !>\BRIEF         This  subroutine interpolates the 0.5x0.5 degree based map of irrigated areas to the resolution of the model.
@@ -7747,5 +8066,5 @@
 !! DESCRIPTION (definitions, functional, design, flags) : None
 !!
-!! RECENT CHANGE(S): None
+!! RECENT CHANGE(S): Irrigated is interpolated from slowproc as irrigated_next
 !!
 !! MAIN OUTPUT VARIABLE(S):
@@ -7757,6 +8076,6 @@
 !_ ================================================================================================================================
 
-SUBROUTINE routing_irrigmap (nbpt, index, lalo, neighbours, resolution, contfrac, &
-       &                       init_irrig, irrigated, init_flood, floodplains, init_swamp, swamp, hist_id, hist2_id)
+SUBROUTINE routing_floodmap (nbpt, index, lalo, neighbours, resolution, contfrac, &
+        &                       init_flood, floodplains, init_swamp, swamp, hist_id, hist2_id)
     !
     IMPLICIT NONE
@@ -7780,10 +8099,10 @@
     INTEGER(i_std), INTENT(in)                     :: hist_id               !! Access to history file (unitless)
     INTEGER(i_std), INTENT(in)                     :: hist2_id              !! Access to history file 2 (unitless)
-    LOGICAL, INTENT(in)                            :: init_irrig            !! Logical to initialize the irrigation (true/false)
+
     LOGICAL, INTENT(in)                            :: init_flood            !! Logical to initialize the floodplains (true/false)
     LOGICAL, INTENT(in)                            :: init_swamp            !! Logical to initialize the swamps (true/false)
     !
 !! OUTPUT VARIABLES
-    REAL(r_std), INTENT(out)                       :: irrigated(:)          !! Irrigated surface in each grid box (m^2)
+
     REAL(r_std), INTENT(out)                       :: floodplains(:)        !! Surface which can be inundated in each grid box (m^2)
     REAL(r_std), INTENT(out)                       :: swamp(:)              !! Surface which can be swamp in each grid box (m^2)
@@ -7791,5 +8110,5 @@
 !! LOCAL VARIABLES
     ! Interpolation variables
-    ! 
+    !
     INTEGER(i_std)                                 :: nbpmax, nix, njx, fopt !!
     CHARACTER(LEN=30)                              :: callsign              !!
@@ -7807,7 +8126,7 @@
     REAL(r_std), ALLOCATABLE, DIMENSION(:,:)       :: latrel                !! Latitude
     REAL(r_std), ALLOCATABLE, DIMENSION(:,:)       :: lonrel                !! Longitude
-    REAL(r_std), ALLOCATABLE, DIMENSION(:,:)       :: irrigated_frac        !! Irrigated fraction of the grid box (unitless;0-1)
+
     REAL(r_std), ALLOCATABLE, DIMENSION(:,:,:)     :: flood_fracmax         !! Maximal flooded fraction of the grid box (unitless;0-1)
-    REAL(r_std)                                    :: area_irrig            !! Irrigated surface in the grid box (m^2)
+
     REAL(r_std)                                    :: area_flood(ntype)     !! Flooded surface in the grid box (m^2)
     REAL(r_std)                                    :: resolution_1          !! temporary variable
@@ -7826,5 +8145,5 @@
     !Config         with the area in m^2 of the area irrigated within each
     !Config         0.5 0.5 deg grid box. The map currently used is the one
-    !Config         developed by the Center for Environmental Systems Research 
+    !Config         developed by the Center for Environmental Systems Research
     !Config         in Kassel (1995).
     !Config Units = [FILE]
@@ -7851,14 +8170,11 @@
     !
     ALLOCATE (latrel(iml,jml), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for latrel','','')
+    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_floodmap','Pb in allocate for latrel','','')
 
     ALLOCATE (lonrel(iml,jml), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for lonrel','','')
-
-    ALLOCATE (irrigated_frac(iml,jml), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for irrigated_frac','','')
+    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_floodmap','Pb in allocate for lonrel','','')
 
     ALLOCATE (flood_fracmax(iml,jml,ntype), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for flood_fracmax','','')
+    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_floodmap','Pb in allocate for flood_fracmax','','')
 
     IF (is_root_prc) CALL flinopen(filename, .FALSE., iml, jml, lml, lonrel, latrel, lev, tml, itau, date, dt, fid)
@@ -7867,6 +8183,4 @@
     CALL bcast(latrel)
     !
-    IF (is_root_prc) CALL flinget(fid, 'irrig', iml, jml, lml, tml, 1, 1, irrigated_frac)
-    CALL bcast(irrigated_frac)
     IF (is_root_prc) CALL flinget(fid, 'lake', iml, jml, lml, tml, 1, 1, flood_fracmax(:,:,ilake))
     IF (is_root_prc) CALL flinget(fid, 'dam', iml, jml, lml, tml, 1, 1, flood_fracmax(:,:,idam))
@@ -7883,10 +8197,5 @@
     DO ip=1,iml
        DO jp=1,jml
-          !
-          IF ( irrigated_frac(ip,jp) .LT. undef_sechiba-un) THEN
-             irrigated_frac(ip,jp) = irrigated_frac(ip,jp)/100.
-             IF ( irrigated_frac(ip,jp) < 0.005 ) irrigated_frac(ip,jp) = zero
-          ENDIF
-          !
+
           DO itype=1,ntype
              IF ( flood_fracmax(ip,jp,itype) .LT. undef_sechiba-1.) THEN
@@ -7898,10 +8207,9 @@
        ENDDO
     ENDDO
-    
+
     IF (printlev>=2) THEN
        WRITE(numout,*) 'lonrel : ', MAXVAL(lonrel), MINVAL(lonrel)
        WRITE(numout,*) 'latrel : ', MAXVAL(latrel), MINVAL(latrel)
-       WRITE(numout,*) 'irrigated_frac : ', MINVAL(irrigated_frac, MASK=irrigated_frac .GT. 0), &
-            MAXVAL(irrigated_frac, MASK=irrigated_frac .LT. undef_sechiba)
+
        WRITE(numout,*) 'flood_fracmax : ', MINVAL(flood_fracmax, MASK=flood_fracmax .GT. 0), &
             MAXVAL(flood_fracmax, MASK=flood_fracmax .LT. undef_sechiba)
@@ -7911,8 +8219,8 @@
     !
     ALLOCATE(resol_lu(iml,jml,2), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for resol_lu','','')
+    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_floodmap','Pb in allocate for resol_lu','','')
 
     ALLOCATE(mask(iml,jml), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for mask','','')
+    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_floodmap','Pb in allocate for mask','','')
     mask(:,:) = 0
 
@@ -7930,5 +8238,5 @@
           ! Resolution in longitude
           !
-          coslat = MAX( COS( latrel(ip,jp) * pi/180. ), mincos )     
+          coslat = MAX( COS( latrel(ip,jp) * pi/180. ), mincos )
           IF ( ip .EQ. 1 ) THEN
              resol_lu(ip,jp,1) = ABS( lonrel(ip+1,jp) - lonrel(ip,jp) ) * pi/180. * R_Earth * coslat
@@ -7955,5 +8263,5 @@
     ! Some lmargin is taken.
     !
-    callsign = 'Irrigation map'
+    callsign = 'Flood map'
     ok_interpol = .FALSE.
     IF (is_root_prc) THEN
@@ -7969,9 +8277,9 @@
 
     ALLOCATE(irrsub_index(nbpt, nbpmax, 2), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for irrsub_index','','')
+    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_floodmap','Pb in allocate for irrsub_index','','')
     irrsub_index(:,:,:)=0
 
     ALLOCATE(irrsub_area(nbpt, nbpmax), STAT=ALLOC_ERR)
-    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_irrigmap','Pb in allocate for irrsub_area','','')
+    IF (ALLOC_ERR /= 0) CALL ipslerr_p(3,'routing_floodmap','Pb in allocate for irrsub_area','','')
     irrsub_area(:,:)=zero
 
@@ -7982,10 +8290,9 @@
     !
     WHERE (irrsub_area < 0) irrsub_area=zero
-    !  
+    !
     ! Test here if not all sub_area are larger than 0 if so, then we need to increase nbpmax
     !
     DO ib=1,nbpt
        !
-       area_irrig = 0.0
        area_flood = 0.0
        !
@@ -7994,8 +8301,4 @@
           ip = irrsub_index(ib, fopt, 1)
           jp = irrsub_index(ib, fopt, 2)
-          !
-          IF (irrigated_frac(ip,jp) .LT. undef_sechiba-1.) THEN
-             area_irrig = area_irrig + irrsub_area(ib,fopt)*irrigated_frac(ip,jp)
-          ENDIF
           !
           DO itype=1,ntype
@@ -8006,33 +8309,10 @@
        ENDDO
        !
-       ! Put the total irrigated and flooded areas in the output variables
-       !
-       IF ( init_irrig ) THEN
+       ! Put the total flooded areas in the output variables
+       !
+       !
+       IF ( init_flood ) THEN
           ! if we are at the poles resolution(ib,1) = 0
           IF (resolution(ib,1) == 0) THEN
-             ! use pi*resolution(ib,2) to get the disc area
-             resolution_1 = pi*resolution(ib,2)
-          ELSE
-             resolution_1 = resolution(ib,1)
-          END IF
-          irrigated(ib) = MIN(area_irrig, resolution_1*resolution(ib,2)*contfrac(ib))
-          IF ( irrigated(ib) < 0 ) THEN
-             WRITE(numout,*) 'We have a problem here : ', irrigated(ib) 
-             WRITE(numout,*) 'resolution :', resolution_1, resolution(ib,2)
-             WRITE(numout,*) area_irrig
-             CALL ipslerr_p(3,'routing_irrigmap','Problem with irrigated...','','')
-          ENDIF
-!!$          ! Compute a diagnostic of the map.
-!!$          IF(contfrac(ib).GT.zero) THEN
-!!$             irrigmap (ib) = irrigated(ib) / ( resolution(ib,1)*resolution(ib,2)*contfrac(ib) )
-!!$          ELSE
-!!$             irrigmap (ib) = zero
-!!$          ENDIF
-          !
-       ENDIF
-       !
-       IF ( init_flood ) THEN
-          ! if we are at the poles resolution(ib,1) = 0
-          IF (resolution(ib,1) == 0) THEN 
              ! use pi*resolution(ib,2) to get the disc area
              resolution_1 = pi*resolution(ib,2)
@@ -8043,8 +8323,8 @@
                & resolution_1*resolution(ib,2)*contfrac(ib))
           IF ( floodplains(ib) < 0 ) THEN
-             WRITE(numout,*) 'We have a problem here : ', floodplains(ib) 
+             WRITE(numout,*) 'We have a problem here : ', floodplains(ib)
              WRITE(numout,*) 'resolution :', resolution_1, resolution(ib,2)
              WRITE(numout,*) area_flood
-             CALL ipslerr_p(3,'routing_irrigmap','Problem with floodplains..','','')
+             CALL ipslerr_p(3,'routing_floodmap','Problem with floodplains..','','')
           ENDIF
 !!$          ! Compute a diagnostic of the map.
@@ -8058,6 +8338,6 @@
        IF ( init_swamp ) THEN
           ! if we are at the poles resolution(ib,1) = 0
-          IF (resolution(ib,1) == 0) THEN 
-             ! use pi*resolution(ib,2) to get the disc area 
+          IF (resolution(ib,1) == 0) THEN
+             ! use pi*resolution(ib,2) to get the disc area
              resolution_1 = pi*resolution(ib,2)
           ELSE
@@ -8066,8 +8346,8 @@
           swamp(ib) = MIN(area_flood(iswamp), resolution_1*resolution(ib,2)*contfrac(ib))
           IF ( swamp(ib) < 0 ) THEN
-             WRITE(numout,*) 'We have a problem here : ', swamp(ib) 
+             WRITE(numout,*) 'We have a problem here : ', swamp(ib)
              WRITE(numout,*) 'resolution :', resolution_1, resolution(ib,2)
              WRITE(numout,*) area_flood
-             CALL ipslerr_p(3,'routing_irrigmap','Problem with swamp...','','')
+             CALL ipslerr_p(3,'routing_floodmap','Problem with swamp...','','')
           ENDIF
 !!$          ! Compute a diagnostic of the map.
@@ -8083,7 +8363,6 @@
     !
     !
-    
+
     IF (printlev>=1) THEN
-       IF ( init_irrig ) WRITE(numout,*) "Diagnostics irrigated :", MINVAL(irrigated), MAXVAL(irrigated)
        IF ( init_flood ) WRITE(numout,*) "Diagnostics floodplains :", MINVAL(floodplains), MAXVAL(floodplains)
        IF ( init_swamp ) WRITE(numout,*) "Diagnostics swamp :", MINVAL(swamp), MAXVAL(swamp)
@@ -8112,5 +8391,5 @@
     DEALLOCATE (latrel)
     !
-  END SUBROUTINE routing_irrigmap
+  END SUBROUTINE routing_floodmap
   !
 !! ================================================================================================================================
@@ -8167,15 +8446,15 @@
     REAL(r_std), SAVE          :: totw_out             !! Sum of the water flow out to the routing scheme
 !$OMP THREADPRIVATE(totw_out)
-    REAL(r_std), SAVE          :: totw_return          !! 
+    REAL(r_std), SAVE          :: totw_return          !!
 !$OMP THREADPRIVATE(totw_return)
-    REAL(r_std), SAVE          :: totw_irrig           !! 
+    REAL(r_std), SAVE          :: totw_irrig           !!
 !$OMP THREADPRIVATE(totw_irrig)
-    REAL(r_std), SAVE          :: totw_river           !! 
+    REAL(r_std), SAVE          :: totw_river           !!
 !$OMP THREADPRIVATE(totw_river)
-    REAL(r_std), SAVE          :: totw_coastal         !! 
+    REAL(r_std), SAVE          :: totw_coastal         !!
 !$OMP THREADPRIVATE(totw_coastal)
     REAL(r_std)                :: totarea              !! Total area of basin (m^2)
     REAL(r_std)                :: area                 !! Total area of routing (m^2)
-    INTEGER(i_std)             :: ig                   !! 
+    INTEGER(i_std)             :: ig                   !!
     !
     ! Just to make sure we do not get too large numbers !
@@ -8194,5 +8473,5 @@
        totw_slow = zero
        totw_lake = zero
-       totw_pond = zero 
+       totw_pond = zero
        totw_in = zero
        !
